> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List encryption keys

> Lists all encryption keys for the workspace associated with the Management API key.



## OpenAPI

````yaml reference/management-api_2025-11-20.json GET /encryption-keys
openapi: 3.0.0
info:
  title: Management API
  description: >-
    Managment API allows you to manage your Fingerprint account and applications
    programmatically from a server environment.
  version: '2025-11-20'
  contact: {}
servers:
  - url: https://management-api.fpjs.io
security:
  - Management-API-key: []
tags: []
paths:
  /encryption-keys:
    get:
      tags:
        - encryption-keys
      summary: List encryption keys
      description: >-
        Lists all encryption keys for the workspace associated with the
        Management API key.
      operationId: EncryptionKeysController_findAll
      parameters:
        - name: status
          required: false
          in: query
          description: Filters by encryption key status.
          schema:
            enum:
              - enabled
              - disabled
            type: string
        - name: environment
          required: false
          in: query
          description: Filters by environment ID.
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          description: >-
            Cursor token used for pagination. Response will contain items
            appearing after the given cursor.
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Sets the maximum number of items contained in a single page.
          schema:
            minimum: 0
            maximum: 101
            default: 10
            type: number
        - name: X-API-Version
          in: header
          description: Management API version.
          example: '2025-11-20'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of encryption keys matching the given query.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EncryptionKeysPaginatedResponseDtoV1'
        '400':
          description: 'Error: Bad request.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationApiExceptionDto'
        '401':
          description: 'Error: Invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '403':
          description: Forbidden. Insufficient permissions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
        '422':
          description: 'Error: Payload parameters are invalid.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationApiExceptionDto'
        '429':
          description: 'Error: API key has exceeded its rate limit.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExceptionDto'
components:
  schemas:
    EncryptionKeysPaginatedResponseDtoV1:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EncryptionKeyResponseDtoV1'
        metadata:
          $ref: '#/components/schemas/PaginationMetadataV2'
      required:
        - data
        - metadata
    ValidationApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseValidationApiExceptionDto'
      required:
        - error
    ApiExceptionDto:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/BaseApiExceptionDto'
      required:
        - error
    EncryptionKeyResponseDtoV1:
      type: object
      properties:
        id:
          type: string
          description: Auto-generated ID for an encryption key
          example: tok_No3jUysGLCDuqB3RnCVf1weo
        name:
          type: string
          description: Encryption key name
          example: My Encryption Key
        description:
          type: string
          description: Encryption key description
          example: Description for my encryption key
        status:
          type: string
          enum:
            - enabled
            - disabled
          description: API key status, indicates if an API keys is enabled or disabled.
          example: enabled
        environment:
          type: string
          description: ID of an environment the encryption key belongs to.
          example: ae_rrETjdWcfqI6AFsk
          nullable: true
        previous_token:
          type: string
          description: >-
            Previous value of an encryption key. When a key is rotated, the
            previous value is stored so the rotation can be reverted. This field
            is immutable, and only visible upon creation.
          example: eWDrrpGGLjDQW0LBA0Wj
        token:
          type: string
          description: >-
            Value of an encryption key. This field is immutable, and only
            visible upon creation.
          example: eWDrrpGGLjDQW0LBA0Wj
        next_token:
          type: string
          description: >-
            Next value of an encryption key. Becomes the current value when a
            key is rotated.
          example: eWDrrpGGLjDQW0LBA0Wj
        created_at:
          format: date-time
          type: string
          description: Date when encryption key was created.
          example: '2024-05-31T01:24:39.506Z'
        last_activated_at:
          format: date-time
          type: string
          description: Date when encryption key status was last changed to active.
          example: '2024-05-31T01:24:39.506Z'
          nullable: true
        last_rotated_at:
          format: date-time
          type: string
          description: Date when encryption key status was last rotated.
          example: '2024-05-31T01:24:39.506Z'
          nullable: true
        last_deactivated_at:
          format: date-time
          type: string
          description: Date when encryption key was disabled.
          example: null
      required:
        - id
        - name
        - status
        - environment
        - created_at
        - last_activated_at
        - last_rotated_at
    PaginationMetadataV2:
      type: object
      properties:
        pagination:
          description: Object containing pagination metadata.
          allOf:
            - $ref: '#/components/schemas/PaginationDataV2'
      required:
        - pagination
    BaseValidationApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
        violations:
          description: List of validation violations.
          type: array
          items:
            $ref: '#/components/schemas/BaseValidationApiExceptionViolationDto'
      required:
        - message
        - code
    BaseApiExceptionDto:
      type: object
      properties:
        message:
          type: string
          description: Verbal description of the error.
        code:
          type: string
          description: Error code.
      required:
        - message
        - code
    PaginationDataV2:
      type: object
      properties:
        next_cursor:
          type: string
          nullable: true
          description: Cursor token to be used to get the next page of results.
          example: eyJrZXlzIjpbImlkIl0sInZhbHVlcyI6WyJhZV9JRVdWQVhrQURyN3BiNFYzI
        prev_cursor:
          type: string
          nullable: true
          description: Cursor token used to get the previous page of results.
          example: null
      required:
        - next_cursor
        - prev_cursor
    BaseValidationApiExceptionViolationDto:
      type: object
      properties:
        property:
          type: string
          description: Property that has failed validation.
        message:
          type: string
          description: Description of the violation.
      required:
        - property
        - message
  securitySchemes:
    Management-API-key:
      scheme: bearer
      bearerFormat: JWT
      type: http

````